package pobyty.akce.referentcast.skupina;

import java.io.IOException;
import javax.servlet.ServletException;
import org.smp.SmpException;
import org.smp.pages.Page;
import pobyty.akce.AbstractPobytyAkce;
import pobyty.business.Facade;
import pobyty.model.PobytyIntegrityException;
import pobyty.model.skupina.SkupinaId;

public class SmazSkupinaAkce extends AbstractPobytyAkce {

    @Override
    public void execute() throws ServletException, IOException, SmpException {
        try {
            SkupinaId skupinaId = new SkupinaId(getIntParameter("skupinaId"));
            Facade.getInstance().deleteSkupina(skupinaId);
            redirect("/referentcast/turnus/skupina/TabSkupina.xhtml?turnusId=" + getParameter("turnusId"));
        } catch (PobytyIntegrityException ex) {
            Page page = createPageBean("/referentcast/turnus/DeleteSkupina.xhtml");
            page.putItem("smazError", "Do skupiny jsou zařazeni klienti.");
            forward(page);
        }
    }
}
