package pobyty.akce.referentcast.turnus;

import java.io.IOException;
import javax.servlet.ServletException;
import org.smp.SmpException;
import org.smp.pages.Page;
import pobyty.akce.AbstractPobytyAkce;
import pobyty.business.Facade;
import pobyty.model.PobytyIntegrityException;
import pobyty.model.turnus.TurnusId;

public class SmazTurnusAkce extends AbstractPobytyAkce {

    @Override
    public void execute() throws ServletException, IOException, SmpException {
        try {
            Facade.getInstance().deleteTurnus(new TurnusId(getIntParameter("turnusId")));
            redirect("/referentcast/turnus/TabTurnus.xhtml");
        } catch (PobytyIntegrityException ex) {
            Page page = createPageBean("/referentcast/turnus/DeleteTurnus.xhtml");
            page.putItem("smazError", "Na turnus jsou přihlášení klienti nebo obsahuje skupiny.");
            forward(page);

        }
    }
}
