package pobyty.business;

import java.util.List;
import org.smp.SmpException;
import pobyty.model.PobytyIntegrityException;
import pobyty.model.doprovod.DoprovodId;
import pobyty.model.skupina.Skupina;
import pobyty.model.skupina.SkupinaId;
import pobyty.model.skupina.VekKlientu;
import pobyty.model.turnus.TurnusId;

public interface SkupinaDAO {

    void add(TurnusId turnusId, VekKlientu vekKlientu, DoprovodId doprovodId) throws SmpException;

    Skupina find(SkupinaId skupinaId) throws SmpException;

    public List<Skupina> all(TurnusId turnusId) throws SmpException;

    void delete(SkupinaId skupinaId) throws SmpException, PobytyIntegrityException;

    void update(SkupinaId skupinaId, DoprovodId doprovodId) throws SmpException;
}
