package pobyty.elementy;

import java.io.IOException;
import java.text.DateFormat;
import java.util.Date;
import java.util.Locale;
import org.jdom2.Element;
import org.smp.SmpException;
import org.smp.elements.ElementRenderer;
import org.smp.pages.Page;

public class DatumElement extends ElementRenderer {

    private static DatumElement instance;

    /**
     * @return the instance
     */
    public static synchronized DatumElement getInstance() {
        if (instance == null) {
            instance = new DatumElement();
        }
        return instance;
    }

    @Override
    public void printElement(Page page, Element element, Appendable out) throws IOException, SmpException {
        DateFormat df = DateFormat.getDateInstance(DateFormat.FULL, new Locale("cs"));
        out.append("<strong>" + df.format(new Date()) + "</strong>");
    }
}
