package pobyty.model;

public abstract class Osoba {

    protected Prijmeni prijmeni;
    protected Jmeno jmeno;

    public Osoba() {
    }

    public Osoba(Prijmeni prijmeni, Jmeno jmeno) {
        this.prijmeni = prijmeni;
        this.jmeno = jmeno;
    }

    public Jmeno getJmeno() {
        return jmeno;
    }

    /**
     * @return the prijmeni
     */
    public Prijmeni getPrijmeni() {
        return prijmeni;
    }

    public boolean matchFilter(String filtrPrijmeni, String filtrJmeno) {
        return getPrijmeni().getPrijmeni().contains(filtrPrijmeni) && getJmeno().getJmeno().contains(filtrJmeno);
    }
}
