package pobyty.model;

public abstract class OsobaAdresa extends Osoba {

    public static final String COLUMN_NAROZENI = "Narozeni";
    private Datum narozeni;
    protected Mejl mejl;
    private Ulice ulice;
    private Mesto mesto;
    private Psc psc;
    private Telefon telefon;

    public OsobaAdresa() {
    }

    public OsobaAdresa(Prijmeni prijmeni, Jmeno jmeno, Datum narozeni, Mejl mejl, Ulice ulice, Mesto mesto, Psc psc, Telefon telefon) {
        super(prijmeni, jmeno);
        this.narozeni = narozeni;
        this.telefon = telefon;
        this.mejl = mejl;
        this.mesto = mesto;
        this.psc = psc;
        this.ulice = ulice;
    }

    /**
     * @return the mesto
     */
    public Mesto getMesto() {
        return mesto;
    }

    /**
     * @return the psc
     */
    public Psc getPsc() {
        return psc;
    }

    /**
     * @return the ulice
     */
    public Ulice getUlice() {
        return ulice;
    }

    public void setMejl(Mejl mejl) {
        this.mejl = mejl;
    }

    public void setUlice(Ulice ulice) {
        this.ulice = ulice;
    }

    /**
     * @param mesto the mesto to set
     */
    public void setMesto(Mesto mesto) {
        this.mesto = mesto;
    }

    /**
     * @param psc the psc to set
     */
    public void setPsc(Psc psc) {
        this.psc = psc;
    }

    /**
     * @return the psc
     */
    public Mejl getMejl() {
        return mejl;
    }

    public Telefon getTelefon() {
        return telefon;
    }

    /**
     * @param mesto the mesto to set
     */
    public void setTelefon(Telefon telefon) {
        this.telefon = telefon;
    }

    /**
     * @return the narozeni
     */
    public Datum getNarozeni() {
        return narozeni;
    }
}
