package pobyty.stranky.klientcast;

import org.smp.SmpException;
import pobyty.business.Facade;
import pobyty.model.klient.Klient;
import pobyty.model.klient.KlientId;
import pobyty.model.prihlaska.Prihlaska;
import pobyty.model.prihlaska.StavPrihlasky;

public class EditFormular extends AbstrKlientStranka {

    Prihlaska prihlaska;

    public Boolean getSelectedTurnus() throws SmpException {
        if (prihlaska == null) {
            return false;
        }
        return topBean() == prihlaska.getTurnus();
    }

    public boolean getJePrihlasen() {
        return prihlaska != null;
    }

    public boolean getJizZarazen() {
        return prihlaska != null && prihlaska.getStavPrihlasky().ordinal() >= StavPrihlasky.ZARAZEN.ordinal();
    }

    public boolean getJizSchvalen() {
        return prihlaska != null && prihlaska.getStavPrihlasky().ordinal() >= StavPrihlasky.SCHVALEN.ordinal();
    }

    @Override
    public void createContent() throws SmpException {
        KlientId klientId = new KlientId(getParameter("klientId"));
        Klient klient = Facade.getInstance().findKlient(klientId);
        pushBean(klient);
        prihlaska = Facade.getInstance().findPrihlaska(klientId);
        if (prihlaska != null) {
            pushBean(prihlaska);
        }
    }
}
