package pobyty.stranky.referentcast.prihlaska;

import org.smp.SmpException;
import pobyty.business.Facade;
import pobyty.model.klient.Klient;
import pobyty.model.klient.KlientId;
import pobyty.model.prihlaska.Prihlaska;
import pobyty.model.turnus.Turnus;
import pobyty.stranky.referentcast.AbstrReferentStranka;

public class EditPrihlaska extends AbstrReferentStranka {

    Prihlaska prihlaska;

    public Boolean getSelectedTurnus() throws SmpException {
        return ((Turnus) topBean()).getTurnusId().equals(prihlaska.getTurnus().getTurnusId());
    }

    @Override
    public void createContent() throws SmpException {
        KlientId klientId = new KlientId(getParameter("klientId"));
        prihlaska = Facade.getInstance().findPrihlaska(klientId);
        Klient klient = prihlaska.getKlient();
        pushBean(prihlaska);
        pushBean(klient);
    }
}
