package pobyty.stranky.referentcast.prihlaska;

import org.smp.SmpException;
import pobyty.business.Facade;
import pobyty.model.klient.Klient;
import pobyty.model.klient.KlientId;
import pobyty.model.prihlaska.Prihlaska;
import pobyty.stranky.referentcast.AbstrReferentStranka;

public class SchvalovaniPrihlasky extends AbstrReferentStranka {

    @Override
    public void createContent() throws SmpException {
        KlientId klientId = new KlientId(getParameter("klientId"));
        Prihlaska prihlaska = Facade.getInstance().findPrihlaska(klientId);
        Klient klient = prihlaska.getKlient();
        putItem("klientId", klientId);
        pushBean(prihlaska);
        pushBean(klient);
    }
}
