package pobyty.stranky.referentcast.turnus;

import java.util.List;
import org.smp.SmpException;
import pobyty.business.Facade;
import pobyty.model.PrihlaskaKlient;
import pobyty.model.turnus.TurnusId;
import pobyty.stranky.referentcast.AbstrReferentStranka;

public class KlientiTurnusu extends AbstrReferentStranka {

    @Override
    public void createContent() throws SmpException {
        TurnusId turnusId = new TurnusId(getIntParameter("turnusId"));
        List<PrihlaskaKlient> klientiTurnusu = Facade.getInstance().prihlaskaKlientJoin(turnusId);
        pushBean(Facade.getInstance().findTurnus(turnusId));
        putItem("klientiTurnusu", klientiTurnusu);
    }
}
