package pobyty.stranky.referentcast.turnus.skupina;

import org.smp.SmpException;
import pobyty.business.Facade;
import pobyty.model.skupina.Skupina;
import pobyty.model.skupina.SkupinaId;
import pobyty.stranky.referentcast.AbstrReferentStranka;

public class PridatKlientyDoSkupiny extends AbstrReferentStranka {

    @Override
    public void createContent() throws SmpException {
        SkupinaId skupinaId = new SkupinaId(getIntParameter("skupinaId"));
        Skupina skupina = Facade.getInstance().findSkupina(skupinaId);
        this.putItem("kandidatiSkupiny", Facade.getInstance().kandidatiSkupiny(skupina));
        pushBean(skupina);
    }
}
