package pobyty.akce.referentcast.skupina;

import java.io.IOException;
import java.util.Map;
import javax.servlet.ServletException;
import org.smp.SmpException;
import pobyty.akce.AbstractPobytyAkce;
import pobyty.business.Facade;
import pobyty.model.klient.KlientId;
import pobyty.model.skupina.SkupinaId;

public class PridatKlientyDoSkupinyAkce extends AbstractPobytyAkce {

    @Override
    public void execute() throws ServletException, IOException, SmpException {
        Map<String, String[]> pars = getRequest().getParameterMap();
        SkupinaId skupinaId = new SkupinaId(getIntParameter("skupinaId"));
        for (Map.Entry<String, String[]> entry : pars.entrySet()) {
            String key = entry.getKey();
            if (key.startsWith("klient:")) {
                KlientId klientId = new KlientId(key.split(":")[1]);
                Facade.getInstance().updatePrihlaska(klientId, skupinaId);
            }
        }
        redirect("/referentcast/turnus/skupina/EditaceKlientuSkupiny.xhtml?skupinaId=" + skupinaId);
    }
}
