package pobyty.akce.referentcast.skupina;

import java.io.IOException;
import java.util.Map;
import javax.servlet.ServletException;
import org.smp.SmpException;
import pobyty.akce.AbstractPobytyAkce;
import pobyty.business.Facade;
import pobyty.model.klient.KlientId;
import pobyty.model.skupina.SkupinaId;

public class VyraditKlientaZeSkupinyAkce extends AbstractPobytyAkce {

    @Override
    public void execute() throws ServletException, IOException, SmpException {
        Map<String, String[]> pars = getRequest().getParameterMap();
        KlientId klientId = new KlientId(getParameter("klientId"));
        SkupinaId skupinaId = new SkupinaId(getIntParameter("skupinaId"));
        Facade.getInstance().updatePrihlaska(klientId, SkupinaId.NEDEF);
        redirect("/referentcast/turnus/skupina/EditaceKlientuSkupiny.xhtml?skupinaId=" + skupinaId);
    }
}
