package pobyty.business;

import java.util.List;
import org.smp.SmpException;
import pobyty.model.Datum;
import pobyty.model.Jmeno;
import pobyty.model.Mejl;
import pobyty.model.Mesto;
import pobyty.model.Prijmeni;
import pobyty.model.Psc;
import pobyty.model.Telefon;
import pobyty.model.Ulice;
import pobyty.model.doprovod.Doprovod;
import pobyty.model.doprovod.DoprovodId;

public interface DoprovodDAO {

    void add(Prijmeni prijmeni, Jmeno jmeno,
            Datum narozeni, Mejl mejl, Ulice ulice, Mesto mesto, Psc psc,
            Telefon telefon) throws SmpException;

    Doprovod find(DoprovodId doprovodId) throws SmpException;

    List<Doprovod> all() throws SmpException;

    void update(DoprovodId doprovodId, Prijmeni prijmeni, Jmeno jmeno, Mejl mejl, Ulice ulice, Mesto mesto, Psc psc, Telefon telefon) throws SmpException;

    void delete(DoprovodId doprovodId) throws SmpException;
}
