package pobyty.model.doprovod;

import org.smp.ValidationException;
import pobyty.model.AbstrId;

public class DoprovodId extends AbstrId {

    public static int DOPROVODID_SIZE = 10;
    public static DoprovodId NEDEF = new DoprovodId(0);

    public static String colName() {
        return DoprovodId.class.getSimpleName();
    }

    public static DoprovodId validate(String idStr) throws ValidationException {
        return new DoprovodId(validateId(idStr));
    }

    public DoprovodId(int id) {
        super(id);
    }
}
