package pobyty.stranky.klientcast;

import org.smp.SmpException;
import pobyty.model.Datum;
import pobyty.model.Jmeno;
import pobyty.model.Mejl;
import pobyty.model.Mesto;
import pobyty.model.Prijmeni;
import pobyty.model.Psc;
import pobyty.model.Telefon;
import pobyty.model.Ulice;
import pobyty.model.klient.Indikace;
import pobyty.model.klient.Klient;
import pobyty.model.klient.KlientId;
import pobyty.model.klient.Kontraindikace;

public class NovyKlientFormular extends AbstrKlientStranka {

    public boolean getSelectedTurnus() throws SmpException {
        Object tid = getItem("turnusId");
        if (tid == null) {
            return false;
        }
        Object toid = getItem("turnusOptionId");
        return tid.equals(toid);
    }

    @Override
    public void createContent() throws SmpException {
        if (DEBUG) {
            pushBean(new Klient(new KlientId("kod" + ((int) (Math.random() * 899) + 100)),
                    Prijmeni.validate("Daněček"),
                    Jmeno.validate("Jiří"),
                    Datum.validate("1.10.1999"),
                    Mejl.validate("dan@com"),
                    Ulice.validate("Ruzova"),
                    Mesto.validate("Brno"),
                    Psc.validate("54321"),
                    Telefon.validate("333333333"),
                    Indikace.KATARY_DOLNICH_CEST,
                    Kontraindikace.POMOCOVANI));
        }
    }
}
